package com.liquidnet.service.kylin.service.admin;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.service.kylin.entity.KylinRecommendActive;
import com.liquidnet.service.kylin.entity.KylinRecommendActiveRelation;

import java.util.List;

/**
 * <p>
 * 推荐活动表 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2022-07-27
 */
public interface IKylinRecommendActiveService extends IService<KylinRecommendActive> {
    boolean addKylinRecommendActive(KylinRecommendActive kylinRecommendActive, List<KylinRecommendActiveRelation> kylinRecommendActiveRelations);
    boolean updateKylinRecommendActive(KylinRecommendActive kylinRecommendActive);
    List<KylinRecommendActive>  pageKylinAcitve(int pageSize, int pageNumber);
    KylinRecommendActive getKylinRecommendActiveById(int mid);
    KylinRecommendActive getByRecommendId(String id);
    int validateTime(KylinRecommendActive kylinRecommendActive);
    void updateRedis(KylinRecommendActive kylinRecommendActive);

}
